public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mike Gilbert" <floppym@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-vpn/openconnect/
Date: Fri,  3 Apr 2020 04:14:15 +0000 (UTC)	[thread overview]
Message-ID: <1585886800.b4e4a9c2906867a41c86e83838c88ad9f213064f.floppym@gentoo> (raw)

commit:     b4e4a9c2906867a41c86e83838c88ad9f213064f
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  3 04:06:40 2020 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Fri Apr  3 04:06:40 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b4e4a9c2

net-vpn/openconnect: fix tests to work with ocserv installed

Package-Manager: Portage-2.3.96_p4, Repoman-2.3.22_p1
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 net-vpn/openconnect/openconnect-8.06.ebuild | 18 ++++++++++++++++--
 net-vpn/openconnect/openconnect-9999.ebuild | 18 ++++++++++++++++--
 2 files changed, 32 insertions(+), 4 deletions(-)

diff --git a/net-vpn/openconnect/openconnect-8.06.ebuild b/net-vpn/openconnect/openconnect-8.06.ebuild
index 45d091c8dc3..61191005970 100644
--- a/net-vpn/openconnect/openconnect-8.06.ebuild
+++ b/net-vpn/openconnect/openconnect-8.06.ebuild
@@ -90,9 +90,9 @@ src_configure() {
 	addwrite /run/netns
 
 	local myconf=(
-		--with-vpnc-script="${EPREFIX}/etc/openconnect/openconnect.sh"
-		$(use_enable static-libs static)
+		--disable-dsa-tests
 		$(use_enable nls)
+		$(use_enable static-libs static)
 		$(use_with !gnutls openssl)
 		$(use_with gnutls)
 		$(use_with libproxy)
@@ -100,12 +100,26 @@ src_configure() {
 		$(use_with gssapi)
 		$(use_with smartcard libpcsclite)
 		$(use_with stoken)
+		--with-vpnc-script="${EPREFIX}/etc/openconnect/openconnect.sh"
 		--without-java
 	)
 
 	econf "${myconf[@]}"
 }
 
+src_test() {
+	local charset
+	for charset in UTF-8 ISO8859-2; do
+		if [[ $(LC_ALL=cs_CZ.${charset} locale charmap 2>/dev/null) != ${charset} ]]; then
+			# If we don't have valid cs_CZ locale data, auth-nonascii will fail.
+			# Force a test skip by exiting with status 77.
+			sed -i -e '2i exit 77' tests/auth-nonascii || die
+			break
+		fi
+	done
+	default
+}
+
 src_install() {
 	default
 

diff --git a/net-vpn/openconnect/openconnect-9999.ebuild b/net-vpn/openconnect/openconnect-9999.ebuild
index 45d091c8dc3..61191005970 100644
--- a/net-vpn/openconnect/openconnect-9999.ebuild
+++ b/net-vpn/openconnect/openconnect-9999.ebuild
@@ -90,9 +90,9 @@ src_configure() {
 	addwrite /run/netns
 
 	local myconf=(
-		--with-vpnc-script="${EPREFIX}/etc/openconnect/openconnect.sh"
-		$(use_enable static-libs static)
+		--disable-dsa-tests
 		$(use_enable nls)
+		$(use_enable static-libs static)
 		$(use_with !gnutls openssl)
 		$(use_with gnutls)
 		$(use_with libproxy)
@@ -100,12 +100,26 @@ src_configure() {
 		$(use_with gssapi)
 		$(use_with smartcard libpcsclite)
 		$(use_with stoken)
+		--with-vpnc-script="${EPREFIX}/etc/openconnect/openconnect.sh"
 		--without-java
 	)
 
 	econf "${myconf[@]}"
 }
 
+src_test() {
+	local charset
+	for charset in UTF-8 ISO8859-2; do
+		if [[ $(LC_ALL=cs_CZ.${charset} locale charmap 2>/dev/null) != ${charset} ]]; then
+			# If we don't have valid cs_CZ locale data, auth-nonascii will fail.
+			# Force a test skip by exiting with status 77.
+			sed -i -e '2i exit 77' tests/auth-nonascii || die
+			break
+		fi
+	done
+	default
+}
+
 src_install() {
 	default
 


             reply	other threads:[~2020-04-03  4:14 UTC|newest]

Thread overview: 111+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-04-03  4:14 Mike Gilbert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-13 15:47 [gentoo-commits] repo/gentoo:master commit in: net-vpn/openconnect/ Mike Gilbert
2024-04-13 15:31 Mike Gilbert
2023-06-06  0:26 Mike Gilbert
2023-06-02  5:34 Sam James
2023-06-02  2:39 Sam James
2023-06-02  2:39 Sam James
2023-06-02  2:39 Sam James
2023-06-02  2:39 Sam James
2023-05-21 20:47 Mike Gilbert
2023-05-17 18:29 Mike Gilbert
2023-05-05 14:42 Mike Gilbert
2023-05-01 15:15 Sam James
2023-04-18  6:06 Sam James
2022-11-24 12:00 WANG Xuerui
2022-09-07  7:52 Michał Górny
2022-08-30  8:37 Jakov Smolić
2022-08-23 18:10 Arthur Zamarin
2022-08-20  7:03 Arthur Zamarin
2022-08-20  3:47 Sam James
2022-08-20  0:22 Yixun Lan
2022-08-19 19:12 Mike Gilbert
2022-07-31 11:10 Agostino Sarubbo
2022-07-31 11:08 Agostino Sarubbo
2022-07-31 11:06 Agostino Sarubbo
2022-07-31  8:27 Sam James
2022-07-31  8:27 Sam James
2022-07-30 21:54 Mike Gilbert
2022-07-30 21:54 Mike Gilbert
2022-07-30 21:54 Mike Gilbert
2022-05-19  7:49 Agostino Sarubbo
2022-05-15  9:05 Jakov Smolić
2022-05-13 21:06 Jakov Smolić
2022-05-13 20:09 Jakov Smolić
2022-05-13 20:09 Jakov Smolić
2022-05-05 15:10 Mike Gilbert
2022-04-23 23:31 Mike Gilbert
2022-04-23 21:34 Sam James
2022-04-11 12:31 Mike Gilbert
2022-04-11  1:08 Mike Gilbert
2022-04-11  0:46 Mike Gilbert
2022-04-11  0:46 Mike Gilbert
2022-04-09 22:05 Jason Zaman
2021-10-20 17:47 Mike Gilbert
2021-10-16 22:05 Sam James
2021-10-14 18:32 Sam James
2021-10-14 16:38 Sam James
2021-10-14  5:57 Agostino Sarubbo
2021-10-13 20:33 Sam James
2021-10-10 19:08 Mike Gilbert
2021-10-02  6:02 Mike Gilbert
2021-10-02  6:01 Mike Gilbert
2021-10-02  6:01 Mike Gilbert
2021-07-24 23:02 Marek Szuba
2021-03-27 18:25 Agostino Sarubbo
2020-11-12 15:30 Sam James
2020-11-12 15:09 Sam James
2020-11-11 16:44 Mike Gilbert
2020-11-11 16:33 Mike Gilbert
2020-11-11 16:33 Mike Gilbert
2020-11-11 16:33 Mike Gilbert
2020-11-11 16:33 Mike Gilbert
2020-09-02 16:33 Mike Gilbert
2020-06-10 23:32 Mike Gilbert
2020-06-08  6:41 Michał Górny
2020-05-14 21:29 Thomas Deutschmann
2020-05-13 17:14 Agostino Sarubbo
2020-05-09  8:47 Mart Raudsepp
2020-05-07 16:35 Mikle Kolyada
2020-05-07 15:58 Agostino Sarubbo
2020-05-06  1:01 Thomas Deutschmann
2020-05-06  1:00 Mike Gilbert
2020-05-02 13:30 Mart Raudsepp
2020-05-01  9:11 Georgy Yakovlev
2020-05-01  4:27 Mike Gilbert
2020-04-22 18:03 Mike Gilbert
2020-04-22 17:05 Agostino Sarubbo
2020-04-22 17:04 Agostino Sarubbo
2020-04-22 17:02 Agostino Sarubbo
2020-04-22 17:01 Agostino Sarubbo
2020-04-22 16:41 Mart Raudsepp
2020-04-21 19:58 Mike Gilbert
2020-04-21 19:27 Mike Gilbert
2020-04-03 14:26 Mike Gilbert
2020-04-02 22:33 Mike Gilbert
2020-04-02 22:33 Mike Gilbert
2020-04-02 22:33 Mike Gilbert
2020-04-02 22:33 Mike Gilbert
2020-02-16 20:24 David Seifert
2019-12-09 19:54 Mike Gilbert
2019-11-01 10:45 Mikle Kolyada
2019-10-06 20:56 Aaron Bauman
2019-10-03  8:14 Agostino Sarubbo
2019-10-03  7:59 Agostino Sarubbo
2019-10-03  7:57 Agostino Sarubbo
2019-09-24 19:27 Mike Gilbert
2019-06-23  1:33 Mike Gilbert
2019-06-23  1:33 Mike Gilbert
2019-06-23  1:33 Mike Gilbert
2019-05-24 20:48 Aaron Bauman
2019-01-19  3:41 Mike Gilbert
2019-01-18 17:21 Mike Gilbert
2019-01-18 17:11 Mike Gilbert
2018-10-22  0:37 Mike Gilbert
2018-10-22  0:37 Mike Gilbert
2018-03-28 17:08 Mike Gilbert
2018-01-05 22:02 Ulrich Müller
2017-08-28  4:42 Markus Meier
2017-05-10 15:44 Agostino Sarubbo
2017-05-10  9:32 Agostino Sarubbo
2017-05-07 19:16 Mike Gilbert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1585886800.b4e4a9c2906867a41c86e83838c88ad9f213064f.floppym@gentoo \
    --to=floppym@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox